#include "picsys18.h"

void
setup()
{
    pinMode(CN4, OUT_SERVO1) ; // RCサーボ制御出力の割り付け

    pinMode(SW2, INPUT) ; // 左
    pinMode(SW3, INPUT) ; // 右
	
    pinMode(LED1, OUTPUT) ;
}

int pos = 0 ;

void
loop()
{
    if (digitalRead(SW2) == LOW)
        pos += 1 ;
    if (digitalRead(SW3) == LOW)
        pos -= 1 ;

    /* 値は-100(%)から100(%) */
    if (pos > 100)
        pos = 100 ;
    if (pos < -100)
        pos = -100 ;

    digitalWrite(CN4, pos) ;  // サーボの回転制御値の設定

    digitalWrite(LED1, ((int)millis()) & 0x200) ; // 動いているよ
	
    delayMilliseconds(20) ;
}
